summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Shimmin <tes@sgi.com>2005-09-07 15:17:49 +0000
committerTim Shimmin <tes@sgi.com>2005-09-07 15:17:49 +0000
commit3ebdf78c16cbfd71e6fd8b78d880674441db9353 (patch)
treec55159716dc71c391bd828628e04b2c9660f0853
parentc25b74b3f71fce27f4ebc45c28301b7064d01677 (diff)
Test out pv#942130 where the unmount rec is not ungranting log space.
Merge of master-melb:xfs-cmds:23759a by kenmcd. Test out pv#942130. Do a heap of freeze/thaws on a small log fs.
-rwxr-xr-x11991
-rw-r--r--119.out3
-rw-r--r--group1
3 files changed, 95 insertions, 0 deletions
diff --git a/119 b/119
new file mode 100755
index 00000000..acada401
--- /dev/null
+++ b/119
@@ -0,0 +1,91 @@
+#! /bin/sh
+# FS QA Test No. 119
+#
+# Leaking reservation space in the GRH
+# Test out pv#942130
+# This can hang when things aren't working
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2000-2005 Silicon Graphics, Inc. All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of version 2 of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+#
+# Further, this software is distributed without any warranty that it is
+# free of the rightful claim of any third person regarding infringement
+# or the like. Any license provided herein, whether implied or
+# otherwise, applies only to this software file. Patent licenses, if
+# any, provided herein do not apply to combinations of this program with
+# other software, or any other product whatsoever.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write the Free Software Foundation, Inc., 59
+# Temple Place - Suite 330, Boston MA 02111-1307, USA.
+#
+# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
+# Mountain View, CA 94043, or:
+#
+# http://www.sgi.com
+#
+# For further information regarding this notice, see:
+#
+# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
+#-----------------------------------------------------------------------
+#
+# creator
+owner=tes@crackle.melbourne.sgi.com
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1 # failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+ cd /
+ rm -f $tmp.*
+}
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+
+# real QA test starts here
+
+# Modify as appropriate.
+_supported_fs xfs
+_supported_os IRIX Linux
+
+_require_scratch
+
+# this may hang
+sync
+
+export MKFS_OPTIONS="-l version=2,size=1200b,su=64k"
+export MOUNT_OPTIONS="-o logbsize=64k"
+_scratch_mkfs_xfs >/dev/null
+
+_scratch_mount
+
+max=99
+i=0
+echo "start freezing and unfreezing"
+while [ $i -lt $max ]; do
+ xfs_freeze -f $SCRATCH_MNT
+ xfs_freeze -u $SCRATCH_MNT
+ echo -n .
+ i=`expr $i + 1`
+done
+echo "done"
+
+# success, all done
+status=0
+exit
diff --git a/119.out b/119.out
new file mode 100644
index 00000000..634f58c7
--- /dev/null
+++ b/119.out
@@ -0,0 +1,3 @@
+QA output created by 119
+start freezing and unfreezing
+...................................................................................................done
diff --git a/group b/group
index 2efb49af..3e8daa23 100644
--- a/group
+++ b/group
@@ -192,3 +192,4 @@ aio nathans@sgi.com
116 quota
117 attr auto
118 quota
+119 log v2log